com.tibbo.aggregate.common.binding

## Class BindingEventsHelper

- java.lang.Object
- - com.tibbo.aggregate.common.binding.BindingEventsHelper

-     public class BindingEventsHelper
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `E_BINDING_ERROR`
    `static java.lang.String` | `E_BINDING_EXECUTION`
    `static java.lang.String` | `EF_BINDING_ACTIVATOR`
    `static java.lang.String` | `EF_BINDING_CAUSE`
    `static java.lang.String` | `EF_BINDING_CONDITION`
    `static java.lang.String` | `EF_BINDING_CONTEXT`
    `static java.lang.String` | `EF_BINDING_ERROR`
    `static java.lang.String` | `EF_BINDING_ERROR_STACK`
    `static java.lang.String` | `EF_BINDING_EXECUTION`
    `static java.lang.String` | `EF_BINDING_EXPRESSION`
    `static java.lang.String` | `EF_BINDING_TARGET`
    `static java.lang.String` | `EF_BINDING_VALUE`
    `static TableFormat` | `EFT_BINDING_ERROR`
    `static TableFormat` | `EFT_BINDING_ERROR_EXT`
    `static TableFormat` | `EFT_BINDING_EXECUTION`
    `static TableFormat` | `EFT_BINDING_EXECUTION_EXT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BindingEventsHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DataTable` | `createBindingErrorEventData(Context con, Binding binding, int method, java.lang.String activator, java.lang.Exception error)`
    `static DataTable` | `createBindingExecutionEventData(Context con, int method, Binding binding, EvaluationOptions options, Reference cause, java.lang.Object result)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### E_BINDING_ERROR

          public static final java.lang.String E_BINDING_ERROR

      See Also:
        Constant Field Values

    - #### E_BINDING_EXECUTION

          public static final java.lang.String E_BINDING_EXECUTION

      See Also:
        Constant Field Values

    - #### EF_BINDING_CONTEXT

          public static final java.lang.String EF_BINDING_CONTEXT

      See Also:
        Constant Field Values

    - #### EF_BINDING_TARGET

          public static final java.lang.String EF_BINDING_TARGET

      See Also:
        Constant Field Values

    - #### EF_BINDING_EXPRESSION

          public static final java.lang.String EF_BINDING_EXPRESSION

      See Also:
        Constant Field Values

    - #### EF_BINDING_ACTIVATOR

          public static final java.lang.String EF_BINDING_ACTIVATOR

      See Also:
        Constant Field Values

    - #### EF_BINDING_EXECUTION

          public static final java.lang.String EF_BINDING_EXECUTION

      See Also:
        Constant Field Values

    - #### EF_BINDING_CONDITION

          public static final java.lang.String EF_BINDING_CONDITION

      See Also:
        Constant Field Values

    - #### EF_BINDING_VALUE

          public static final java.lang.String EF_BINDING_VALUE

      See Also:
        Constant Field Values

    - #### EF_BINDING_CAUSE

          public static final java.lang.String EF_BINDING_CAUSE

      See Also:
        Constant Field Values

    - #### EF_BINDING_ERROR

          public static final java.lang.String EF_BINDING_ERROR

      See Also:
        Constant Field Values

    - #### EF_BINDING_ERROR_STACK

          public static final java.lang.String EF_BINDING_ERROR_STACK

      See Also:
        Constant Field Values

    - #### EFT_BINDING_EXECUTION

          public static final TableFormat EFT_BINDING_EXECUTION

    - #### EFT_BINDING_EXECUTION_EXT

          public static final TableFormat EFT_BINDING_EXECUTION_EXT

    - #### EFT_BINDING_ERROR

          public static final TableFormat EFT_BINDING_ERROR

    - #### EFT_BINDING_ERROR_EXT

          public static final TableFormat EFT_BINDING_ERROR_EXT

  - ### Constructor Detail

    - #### BindingEventsHelper

          public BindingEventsHelper()

  - ### Method Detail

    - #### createBindingErrorEventData

          public static DataTable createBindingErrorEventData(Context con,
                                                              Binding binding,
                                                              int method,
                                                              java.lang.String activator,
                                                              java.lang.Exception error)

    - #### createBindingExecutionEventData

          public static DataTable createBindingExecutionEventData(Context con,
                                                                  int method,
                                                                  Binding binding,
                                                                  EvaluationOptions options,
                                                                  Reference cause,
                                                                  java.lang.Object result)